Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.number
Class Numberer_fr

    java.lang.Object
      net.sf.saxon.number.Numberer_en
          net.sf.saxon.number.Numberer_fr

All Implemented Interfaces:
  Serializable, Numberer

    public class Numberer_fr

extends Numberer_en

Class Numberer_fr is a number formatter for french. This one will be activated for language="fr"

Version:
  1.0
Author:
  Luc Rochefort
See Also:
  Serialized Form

Field Summary

Fields inherited from class net.sf.saxon.number.Numberer_en
`LOWER_CASE, TITLE_CASE, UPPER_CASE`

Constructor Summary
`Numberer_fr()`

Method Summary
`String` | `dayName(int day, int minWidth, int maxWidth)` Get a day name or abbreviation
`String` | `monthName(int month, int minWidth, int maxWidth)` Get a month name or abbreviation
`String` | `toOrdinalWords(String ordinalParam, long number, int wordCase)` Show an ordinal number as English words in a requested case (for example, Twentyfirst)
`String` | `toWords(long number)` Show the number as words in title case.
`String` | `toWords(long number, int wordCase)`

Methods inherited from class net.sf.saxon.number.Numberer_en
`format, getCalendarName, getEraName, getOrdinalSuffixForDateTime, getTimezoneName, halfDayName, setCountry, toRoman`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Numberer_fr

    public Numberer_fr()

Method Detail

### toWords

    public String toWords(long number)

  Description copied from class: `Numberer_en`
  Show the number as words in title case. (We choose title case because the result can then be converted algorithmically to lower case or upper case).

  Overrides:
    `toWords` in class `Numberer_en`

### toWords

    public String toWords(long number,
                          int wordCase)

  Overrides:
    `toWords` in class `Numberer_en`

### toOrdinalWords

    public String toOrdinalWords(String ordinalParam,
                                 long number,
                                 int wordCase)

  Description copied from class: `Numberer_en`
  Show an ordinal number as English words in a requested case (for example, Twentyfirst)

  Overrides:
    `toOrdinalWords` in class `Numberer_en`

### monthName

    public String monthName(int month,
                            int minWidth,
                            int maxWidth)

  Description copied from class: `Numberer_en`
  Get a month name or abbreviation

  Specified by:
    `monthName` in interface `Numberer`
  Overrides:
    `monthName` in class `Numberer_en`
  Parameters:
    `month` - The month number (1=January, 12=December)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

### dayName

    public String dayName(int day,
                          int minWidth,
                          int maxWidth)

  Description copied from class: `Numberer_en`
  Get a day name or abbreviation

  Specified by:
    `dayName` in interface `Numberer`
  Overrides:
    `dayName` in class `Numberer_en`
  Parameters:
    `day` - The day of the week (1=Monday, 7=Sunday)
    `minWidth` - The minimum number of characters
    `maxWidth` - The maximum number of characters

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Michael H. Kay. All rights reserved.